#ifndef PINMUX_WRITER_DESC_H
#define PINMUX_WRITER_DESC_H
//----------------------------------------------------------------------------
///
/// \file   writerPlatform.h
///
/// \brief  See implementation for further details
///
/// \date   20190926
/// \author Maximilian Seesslen <mes@seesslen.net>
///
//----------------------------------------------------------------------------


//---Documentation------------------------------------------------------------


//---Includes -----------------------------------------------------------------


//---General--------------------------

#include <QList>

//---Own------------------------------

#include <writer.h>


//--- Declaration -------------------------------------------------------------


class CWriterDesc
      :public CWriter
{
   private:

   public:
      explicit CWriterDesc(CPinmux &pinmux, const QString fileName)
         :CWriter(pinmux, fileName)
      {
         return;
      }
      virtual int writeFiles( ) override;
      QString formatPeriphery(const CPeriphery &periphery
                             , const CReference *pReference
                             , const QString &type, int counter);
      QString peripheralPins(const CPeriphery &periphery, const QString indent);
      QString predefined(const CPeriphery &periphery);
      void writeBoardList( );
      void writeBoardList(int usedCondition);
      void writeAppList( );
};


//---fin----------------------------------------------------------------------
#endif // ? ! PINMUX_WRITER_DESC_H
